%define ver_major 1.5
%def_disable pilot

Name: evolution
Version: %ver_major.92
Release: alt0.5

Summary: Integrated GNOME mail client, calendar and address book
License: GPL
Group: Office
Url: http://www.gnome.org/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source2: evolution_48.png
Source3: evolution_32.png
Source4: evolution_16.png

#Patch: %name-1.5.91-alt-schemas.patch

Provides: camel

%define GConf_ver 2.6.0
%define ORBit_ver 2.10.3
%define libbonobo_ver 2.6.1
%define gal_ver 2.1.13
%define gtkhtml3_ver 3.1.19
%define soup_ver 2.1.12
%define evolution_data_server_ver 0.0.94.1

PreReq: scrollkeeper
PreReq: GConf2 >= %GConf_ver
Requires: gnome-spell
Requires: libgal2 >= %gal_ver
Requires: libgtkhtml3 >= %gtkhtml3_ver
Requires: libsoup >= %soup_ver
Requires: libORBit2 >= %ORBit_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: evolution-data-server >= %evolution_data_server_ver

BuildPreReq: gnome-common
BuildPreReq: menu-devel
BuildPreReq: libgal2-devel >= %gal_ver
BuildPreReq: libgtkhtml3-devel >= %gtkhtml3_ver
BuildPreReq: libORBit2 >= %ORBit_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libsoup-devel >= %soup_ver
BuildPreReq: evolution-data-server-devel >= %evolution_data_server_ver

# Automatically added by buildreq on Thu Jun 17 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs docbook-utils esound evolution-data-server-devel flex fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-icon-theme gnome-vfs2-devel gtk-doc indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libe2fs-devel libgal2-devel libgcrypt-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgnutls-devel libgpg-error-devel libgtk+2-devel libgtkhtml3-devel libkrb5-devel libldap-devel libpango-devel libpopt-devel libsoup-devel libstdc++-devel libtasn1-devel libxml2-devel mozilla-devel mozilla-psm perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool. The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%package pilot
Summary: Evolution conduits for gnome-pilot
Group: Communications
Obsoletes: %name-pilot
Requires: %name = %version-%release

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool. The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to
synchronize your Palm with Evolution

%package devel
Summary: Evolution development files
Group: Development/C
Requires: %name = %version-%release
Requires: libgal2-devel >= %gal_ver
Requires: libgtkhtml3-devel >= %gtkhtml3_ver
Requires: libORBit2 >= %ORBit_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: libsoup-devel >= %soup_ver
Requires: evolution-data-server-devel >= %evolution_data_server_ver

%description devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool. The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains files needed to develop Evolution plugins.

%add_findprov_lib_path %_libdir/%name/%ver_major

%prep
%setup -q
#%patch -p1
%__subst 's,\(com_err\.h\),et/\1,' camel/camel-sasl-gssapi.c
%__subst 's,(Unstable),,' data/evolution.desktop*

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

export LDFLAGS="-L/lib"
export CFLAGS="-I%_includedir/krb5"
export ac_cv_path_SENDMAIL=/usr/sbin/sendmail
export KILL_PROCESS_CMD=%_bindir/killall
%configure \
    --with-openldap \
    --enable-gtk-doc \
    --with-openldap=yes \
    --with-static-ldap=no \
    --with-sub-version=" (%version-%release)" \
    --with-kde-applnk-path=no \
    --enable-file-locking=fcntl \
    --enable-dot-locking=no \
    --enable-ipv6 \
    --enable-nntp=no \
%if_enabled pilot
    --enable-pilot-conduits=yes \
%else
    --enable-pilot-conduits=no \
%endif
    --with-nspr-includes=%_includedir/nspr \
    --enable-nss \
    --with-nss-includes=%_includedir/nss \
    --with-krb5=%_prefix \
    --disable-schemas-install

#    --disable-default-binary

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Networking/Mail"  \
    %buildroot%_datadir/applications/%name-%ver_major.desktop \
    %buildroot%_menudir/%name

# icons
%__mkdir_p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
%__cp -f %SOURCE2 %buildroot%_liconsdir/evolution.png
%__cp -f %SOURCE3 %buildroot%_iconsdir/evolution.png
%__cp -f %SOURCE4 %buildroot%_miconsdir/evolution.png

# remove non-packaged files
%__rm -f %buildroot%_libdir/%name/%_ver_major/*.la
%__rm -f %buildroot%_libdir/%name/%_ver_major/*/*.la
%__rm -f %buildroot%_libdir/%name/%_ver_major/gnome-pilot/conduits/*.la

%find_lang --with-gnome --output=%name.lang %name %name-%ver_major

%define schemas apps_evolution_addressbook-%ver_major apps_evolution_calendar-%ver_major apps_evolution_shell-%ver_major evolution-mail-%ver_major

%post
%gconf2_install %schemas
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_libdir/%name
%exclude %_libdir/%name/%ver_major/camel/camel-lock-helper
%attr(4710,root,mail) %_libdir/%name/%ver_major/camel/camel-lock-helper
%_datadir/applications/*
%_datadir/idl/*
%_datadir/mime-info/*
%_datadir/%name
%_datadir/pixmaps/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_menudir/*
%_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog INSTALL NEWS README

%files devel
%_includedir/*
%_libdir/pkgconfig/*

%if_enabled pilot
%files pilot
%_libdir/gnome-pilot/conduits/*.so
%_datadir/gnome-pilot/conduits/*
%endif

%changelog
* Wed Aug 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.92-alt0.5
- 1.5.92

* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.91-alt0.5
1.5.91

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.90-alt0.5
- 1.5.90

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.9.2-alt0.5
- 1.5.9.2

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.9.1-alt0.5
- 1.5.9.1

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.8-alt0.5
- 1.5.8

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.7-alt0.5
- 1.5.7

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.6.2-alt0.5
- 1.5.6.2

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.6-alt0.5
- 1.5.6

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.5-alt0.5
- 1.5.5
- devel subpackage.

* Thu Feb 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.4-alt0.6
- fix build for new krb5 libs location.
- fix buildreqs.

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.4-alt0.5
- 1.5.4

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.3-alt0.5
- 1.5.3

* Wed Aug 06 2003 AEN <aen@altlinux.ru> 1.4.4-alt1
- new version

* Mon Jul 14 2003 AEN <aen@altlinux.ru> 1.4.3-alt2
- PreReq and BuildPreReq on liborbi2 & libbonobo2 added (thnks to Vyt)

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 1.4.3-alt1
- release

* Tue Jul 08 2003 AEN <aen@altlinux.ru> 1.4.1-alt0.2
- libexecdir fixed

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 1.4.1-alt0.1
- new version from cvs

* Wed Jul 02 2003 AEN <aen@altlinux.ru> 1.4.0-alt2
- wombat patch from mdk

* Mon Mar 31 2003 AEN <aen@altlinux.ru> 1.2.3-alt1
- new version

* Tue Mar 18 2003 AEN <aen@altlinux.ru> 1.2.2-alt2
- security patch

* Sat Feb 15 2003 AEN <aen@altlinux.ru> 1.2.2-alt1
- new version

* Wed Feb 05 2003 AEN <aen@altlinux.ru> 1.2.1-alt3
- new ru.po from CVS added

* Wed Jan 15 2003 AEN <aen@altlinux.ru> 1.2.1-alt2
- requires fixed

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 1.2.1-alt1
- new version

* Mon Dec 02 2002 AEN <aen@altlinux.ru> 1.2.0-alt3
- added Requires on gnome-vfs >= 1.0.5

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 1.2.0-alt2
- fixed permissions

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1.2.0-alt1
- new version

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 1.0.8-alt3
- scrollkeeper patch from MDK
- build with pilot

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.0.8-alt2
- rebuilt with mozilla-1.2a
- pilot temporary disabled

* Mon Jul 01 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version

* Mon Jun 17 2002 AEN <aen@logic.ru> 1.0.7-alt1
- new version
- patch2 removed

* Wed Jun 05 2002 AEN <aen@logic.ru> 1.0.5-alt3
- rebuild with mozilla-1.0
- patch2 from CVS

* Wed May 15 2002 AEN <aen@logic.ru> 1.0.5-alt2
- enable-file-locking=fcntl

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Tue Mar 26 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new version
- build with external nss

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.0.2-alt3
- *.desktop converted

* Sun Mar 10 2002 AEN <aen@logic.ru> 1.0.2-alt2
- rebuild with static nss-1.1.3

* Mon Feb 04 2002 AEN <aen@logc.ru> 1.0.2-alt1
- new version

* Fri Jan 25 2002 AEN <aen@logic.ru> 1.0.1-alt5
- BuildRequires generated

* Fri Jan 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.1-alt4
- Updated buildrequires.

* Thu Jan 17 2002 AEN <aen@logic.ru> 1.0.1-alt3
- requires: gtkhtml added

* Tue Jan 15 2002 AEN <aen@logic.ru> 1.0.1-alt2
- updates russian translation

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version
- patches 0-1 removed, patch2 refreshed

* Wed Dec 05 2001 AEN <aen@logic.ru> 1.0-alt1
- release

* Wed Nov 21 2001 AEN <aen@logic.ru> 0.99.2-alt2
- official RC2
- rebuild with new gnome-pilot

* Mon Nov 19 2001 AEN <aen@logic.ru> 0.99.2-alt1
- snapshot

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.99-alt2
- w/o font patch

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.99-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.16-alt0.1
- build snapshot

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.15-alt2
- fonts patch

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.15-alt1
- new version

* Wed Sep 12 2001 AEN <aen@logic.ru> 0.13-alt3
- requires bonobo-conf
* Mon Sep 10 2001 AEN <aen@logic.ru> 0.13-alt2
- i18n patch from MDK

* Fri Sep 07 2001 AEN <aen@logic.ru> 0.13-alt1
- release 0.13

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.13-alt0.1
- snapshot

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.12-alt3
- rebuild with new libgal/gtkhtml
- oaf-slay added to %post

* Tue Aug 23 2001 AEN <aen@logic.ru> 0.12-alt2
- rebuild with new libtool/autoconf

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.12-alt1
- new version
* Wed Jul 24 2001 AEN <aen@logic.ru> 0.11-alt1
- new version
- w/o movemail

* Wed Jul 17 2001 AEN <aen@logic.ru> 0.10.99-alt3
- new snapshot with  gtkhtml-0.10.0

* Thu Jul 12 2001 AEN <aen@logic.ru> 0.10.99-alt2
- new snapshot

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.10.99-alt1
- new version with db-3.1.17

* Thu May 24 2001 AEN <aen@logic.ru> 0.10-alt5
- built cvs version with libgal-0.8 and gtkhtml-0.9.3+
- built w/o pilot, ssl, nspr

* Thu May 17 2001 AEN <aen@logic.ru> 0.10-alt4
- build with pilot support

* Wed May 16 2001 AEN <aen@logic.ru> 0.10-alt3
- charset patch
- ru.po fixed

* Tue May 15 2001 AEN <aen@logic.ru> 0.10-alt2
- %files fixed

* Tue May 15 2001 AEN <aen@logic.ru> 0.10-alt1
- 0.10
* Mon Apr 9 2001 AEN <aen@logic.ru> 0.9-ipl3mdk
- sync with MDK
- rebuild in Gnome-1.4 environment

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.9-ipl2mdk
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 AEN <aen@logic.ru> 0.9-ipl1mdk
- 0.9

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8-ipl3mdk
- build ximean snapsot 2001/02/16

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8-ipl2mdk
- rebuild with new libraries
- gal-0.5 patch

* Sat Dec 16 2000 AEN <aen@logic.ru>
- 0.8
- adopted for RE
* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
